Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040355
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-03-12 10:012019-03-28 14:56
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision8e6d5fa6f5d4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040355: Some frequent and apparently harmless XmlEngine error message (data not defined for structure) should be probably silenced

DescriptionIn CI runs we see frequently message logged similar to the following:


2019-03-11 14:00:49,942 [http-4] ERROR org.openbravo.xmlEngine.ErrorManagement - Data not defined for structure
2019-03-11 14:00:49,943 [http-4] ERROR org.openbravo.xmlEngine.ErrorManagement - in designorg/openbravo/erpCommon/ad_actionButton/DocAction?newDiscard&priceList.liststructure

Quick check with ALO apparently those are for devs and should not be shown in the production.

That should be reviewed and if confirmed the message probably downgraded to DEBUG
Steps To Reproduce1. Create a Sales Order
2. Click on "Book" button
   -> Check log:
    ERROR org.openbravo.xmlEngine.ErrorManagement - Data not defined for structure
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0036162 acknowledgedplatform clean up openbravo.log 

-  Notes
(0110373)
hgbot (developer)
2019-03-12 10:43

Repository: erp/devel/pi
Changeset: 8e6d5fa6f5d4a49f0e7623ed98d2b89782ed608c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Mar 12 10:42:53 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8e6d5fa6f5d4a49f0e7623ed98d2b89782ed608c [^]

fixed issue 40355: reduced log level for xmlEngine "Data not defined" msg

  * This is a message that should only be reviewed while developing xmlEngine forms
    but should not appear in production logs, therefore it's been reduced to DEBUG.
  * Show log and context in the same line
  * Show stacktrace whenever it is available to give more context
  * Show generic error message for unknown ones

---
M src-core/src/org/openbravo/xmlEngine/ErrorManagement.java
---
(0110583)
caristu (developer)
2019-03-22 10:54

Reviewed + tested OK
(0110862)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-12 10:01 shuehner New Issue
2019-03-12 10:01 shuehner Assigned To => platform
2019-03-12 10:01 shuehner Modules => Core
2019-03-12 10:01 shuehner Triggers an Emergency Pack => No
2019-03-12 10:37 alostale Relationship added blocks 0036162
2019-03-12 10:38 alostale Steps to Reproduce Updated View Revisions
2019-03-12 10:38 alostale Assigned To platform => alostale
2019-03-12 10:38 alostale Review Assigned To => caristu
2019-03-12 10:38 alostale Severity minor => trivial
2019-03-12 10:43 hgbot Checkin
2019-03-12 10:43 hgbot Note Added: 0110373
2019-03-12 10:43 hgbot Status new => resolved
2019-03-12 10:43 hgbot Resolution open => fixed
2019-03-12 10:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8e6d5fa6f5d4a49f0e7623ed98d2b89782ed608c [^]
2019-03-22 10:54 caristu Note Added: 0110583
2019-03-22 10:54 caristu Status resolved => closed
2019-03-22 10:54 caristu Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110862


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker